package main

import (
	"bufio"
	"bytes"
	"fmt"
	"io/ioutil"
	"strconv"
	"strings"
)

func main() {
	nums := []int{}
	f, err := ioutil.ReadFile("input")
	if err != nil {
		panic(err)
	}
	reader := bufio.NewReader(bytes.NewReader(f))
	for {
		line, err := reader.ReadString('\n')
		if err != nil {
			break
		}
		i, err := strconv.Atoi(strings.TrimSpace(line))
		if err != nil {
			panic(err)
		}
		for _, num := range nums {
			if i+num == 2020 {
				fmt.Printf("%d", i*num)
				return
			}
		}
		nums = append(nums, i)
	}
}
